## linux-backports-modules-2.6.24 2.6.24-16.14

=== updates/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

include $(src)/.config

obj-$(CONFIG_IWLWIFI)       += wireless/iwlwifi/
obj-$(CONFIG_RT2X00)        += wireless/rt2x00/

=== updates/wireless/rt2x00/Makefile ===
ifeq ($(src),)
#INSTALL_MOD_PATH	:= $(shell pwd)/lib
INSTALL_MOD_DIR		:= updates
KDIR	?= /lib/modules/$(shell uname -r)/build
src	:= $(shell pwd)

export src INSTALL_MOD_PATH INSTALL_MOD_DIR

all:
	make -C $(KDIR) M=$(src)

clean:
	make -C $(KDIR) M=$(src) clean

install:	all
	make -C $(KDIR) M=$(src) modules_install
else
obj-y	+= wireless/
obj-y	+= mac80211/
obj-y	+= rt2x00/
endif

=== updates/wireless/iwlwifi/iwlwifi/Makefile ===
# 
# Makefile for out-of-tree iwlwifi project
#
# Portion of Makefile allowing out-of-tree module building is derived from
# code provided by Peter Johanson
#
# The rest of the Makefile is Copyright (C) 2007 Intel Corporation
#

export CONFIG_IWL3945 ?= m
export CONFIG_IWL4965 ?= m
export CONFIG_IWL3945_SPECTRUM_MEASUREMENT ?= y
export CONFIG_IWL4965_SPECTRUM_MEASUREMENT ?= y
export CONFIG_IWL3945_DEBUG ?= y
export CONFIG_IWL4965_DEBUG ?= y
export CONFIG_IWL4965_HT ?= n
export CONFIG_IWL4965_HT_AGG ?= n
export CONFIG_IWL4965_SENSITIVITY ?= y
export CONFIG_IWL3945_QOS  ?= y
export CONFIG_IWL4965_QOS ?= y
export IWLWIFI_VERSION ?= test

ifneq ('$(notdir $(if $(realpath /), $(realpath ${SHELL}), ${SHELL}))','bash')
$(warning )
$(warning WARNING: $$SHELL not set to bash.)
$(warning If you experience build errors, try)
$(warning 'make SHELL=/bin/bash'.)
$(warning )
endif

ifeq ($(KSRC_OUTPUT),)
ifeq ($(KSRC),)
export KSRC_OUTPUT := /lib/modules/$(shell uname -r)/build
endif #ifeq ($(KSRC),)
else
export KSRC_OUTPUT ?= $(KSRC_OUTPUT)
endif #ifeq ($(KSRC_OUTPUT),)
export KSRC ?= /lib/modules/$(shell uname -r)/source
export MAC80211_INC ?= $(KSRC)/include/net
export KMISC ?= /lib/modules/$(shell uname -r)/kernel/drivers/net/wireless
export KVER ?= $(shell uname -r)

# If a compatible/ directory exists then build from it, else build
# from the origin/ sources.
#
ifeq ($(DEVMODE),y)
DIR=origin/
else
DIR=compatible/
endif

ifeq ($(CONFIG_IWL4965),m)
	list-m += iwl4965
endif

ifeq ($(CONFIG_IWL3945),m)
	list-m += iwl3945
endif

ifeq ($(CONFIG_IWL3945_DEBUG),y)
	EXTRA_CFLAGS += -DCONFIG_IWL3945_DEBUG=y
endif

ifeq ($(CONFIG_IWL4965_DEBUG),y)
	EXTRA_CFLAGS += -DCONFIG_IWL4965_DEBUG=y
endif

ifeq ($(CONFIG_IWL3945_SPECTRUM_MEASUREMENT),y)
	EXTRA_CFLAGS += -DCONFIG_IWL3945_SPECTRUM_MEASUREMENT=y
endif

ifeq ($(CONFIG_IWL4965_SPECTRUM_MEASUREMENT),y)
	EXTRA_CFLAGS += -DCONFIG_IWL4965_SPECTRUM_MEASUREMENT=y
endif

ifeq ($(CONFIG_IWL4965_HT),y)
	EXTRA_CFLAGS += -DCONFIG_IWL4965_HT=y
endif

ifeq ($(CONFIG_IWL4965_HT_AGG),y)
	EXTRA_CFLAGS += -DCONFIG_IWL4965_HT_AGG=y
endif

ifeq ($(CONFIG_IWL4965_SENSITIVITY),y)
	 EXTRA_CFLAGS += -DCONFIG_IWL4965_SENSITIVITY=y
endif

ifeq ($(CONFIG_IWL3945_QOS),y)
	EXTRA_CFLAGS += -DCONFIG_IWL3945_QOS=y
endif

ifeq ($(CONFIG_IWL4965_QOS),y)
	EXTRA_CFLAGS += -DCONFIG_IWL4965_QOS=y
endif

export EXTRA_CFLAGS

all:  modules utils 

utils:
	@[ ! -d util ] || make -C util

check_inc:

snapshot:
	scripts/make_snapshot

legacy:
	scripts/make_legacy

clean:
	@echo 'Removing stale, temporary, and built files...'
	@[ ! -d util ] || make -C util clean || true
	@rm -rf compatible
	@for i in origin .; do                      	       \
		rm -f $$i/*.{mod.c,mod,o,ko,rej,orig}          \
			$$i/.*.{stamp,flags,cmd}               \
			$$i/.*lst $$i/*.lst $$i/*~ $$i/.*.o.d  \
			$$i/Module.symvers ;                   \
	done
	@rm -rf tmp .tmp_versions compatible

codingstyle:
	@echo "Running indent on sources..."
	@for file in $$(egrep "([^#]*\.h)|([^#]*\.c)" FILES) ; do      \
		indent -npro -kr -i8 -ts8 -sob -l80 -ss -ncs "$$file"; \
		sed -i -e "s:\ *\$$::g" -e "s:\t*\$$::g" $$file;       \
	done

check:
	@echo "Checking sources for comment problems..."
	@scripts/check_comments origin/*.[ch]
	@echo "Checking sources for > 80 problems..."
	@scripts/check_80 origin/*.[ch]

whitespace:
	@echo "Cleaning label and trailing whitespace issues..."
	@scripts/clean_whitespace origin/*.[ch]
	@scripts/clean_labels origin/*.[ch]

dist:
	@scripts/make_snapshot $(IWLWIFI_VERSION)	

distclean: clean
	rm -f tags TAGS

sparse: check_inc source
	@echo "Warning: Compiling in Check Mode!!!"
	$(MAKE) C=2 CF="-Wall -D__CHECK_ENDIAN__" -C $(KSRC) O=$(KSRC_OUTPUT) M=$(shell pwd)/${DIR} modules

ifeq ($(DEVMODE),y)
modules:
	@echo "Warning: In DEVMODE: No compatability checks are performed!!!"
	$(MAKE) -C $(KSRC) O=$(KSRC_OUTPUT) M=$(shell pwd)/${DIR} EXTRA_CFLAGS="$(EXTRA_CFLAGS)" modules
else
modules: check_inc source
	$(MAKE) -C $(KSRC) O=$(KSRC_OUTPUT) M=$(shell pwd)/${DIR} EXTRA_CFLAGS="$(EXTRA_CFLAGS)" modules
endif

patch_kernel:
	@echo
	@echo "This option is deprecated."
	@echo

install: $(addprefix $(DIR),$(addsuffix .ko,$(list-m)))
	@install -d $(KMISC)
	@install -m 644 -c $^ $(KMISC)
	@/sbin/depmod -a ${KVER}
	@echo -e "\nModule " $^ "(s) installed into:\n\t$(KMISC)"
	@echo -e "\nDon't forget to copy firmware to your hotplug's firmware directory "
	@echo "and have the hotplug tools in place."
	@echo -e "\nSee INSTALL for more information."

uninstall:
	rm -rf $(addprefix $(KMISC)/,$(addsuffix .ko,$(list-m)))
	/sbin/depmod -a ${KVER}

check_version: 
	@[ -e compatible/kversion ] && \
		[ "${KSRC}" != "$$(cat compatible/kversion)" ] && \
		echo -e \
"'compatible/' version does not match KSRC.  Try 'make clean'.\n" && \
exit 1 || exit 0

compatible/kversion: \
        $(shell find origin -type f)  \
        $(shell find patches -type f) \
        $(shell find scripts -type f)
	@[ -e compatible/kversion ] && \
		[ "${KSRC}" != "$$(cat compatible/kversion)" ] && \
		exit 1 || exit 0
	@scripts/generate_compatible origin; rc=$$?; \
	chmod a-w compatible/* -R; \
	echo ${KSRC} > compatible/kversion; \
	if [ $${rc} -eq 0 ]; then \
		exit 0; \
	else \
		echo -e "\nMakefile has been modified" \
			"by generate_compatible, please run \`make' again\n"; \
		exit 1; \
	fi


source: check_version compatible/kversion

.phony: check_inc check_valid

=== updates/wireless/rt2x00/mac80211/Makefile ===
include $(src)/../config

CFLAGS_ieee80211.o += -DRC80211_PID_COMPILE

obj-$(LBM_CONFIG_MAC80211) += rt2x_mac80211.o

# objects for PID algorithm
rt2x_rc80211_pid-y := rc80211_pid_algo.o
rt2x_rc80211_pid-$(LBM_CONFIG_MAC80211_DEBUGFS) += rc80211_pid_debugfs.o

# build helper for PID algorithm
rc-pid-y := $(rt2x_rc80211_pid-y)
rc-pid-m := rc80211_pid.o

# mac80211 objects
rt2x_mac80211-y := \
	ieee80211.o \
	ieee80211_ioctl.o \
	sta_info.o \
	wep.o \
	wpa.o \
	ieee80211_sta.o \
	ieee80211_iface.o \
	ieee80211_rate.o \
	michael.o \
	tkip.o \
	aes_ccm.o \
	cfg.o \
	rx.o \
	tx.o \
	key.o \
	util.o \
	event.o

rt2x_mac80211-$(LBM_CONFIG_MAC80211_LEDS) += ieee80211_led.o
rt2x_mac80211-$(CONFIG_NET_SCHED) += wme.o
rt2x_mac80211-$(LBM_CONFIG_MAC80211_DEBUGFS) += \
	debugfs.o \
	debugfs_sta.o \
	debugfs_netdev.o \
	debugfs_key.o

rt2x_mac80211-$(LBM_CONFIG_MAC80211_MESH) += \
	mesh.o \
	mesh_pathtbl.o \
	mesh_plink.o \
	mesh_hwmp.o


# Build rate control algorithm(s)
CFLAGS_rc80211_pid_algo.o += -DRC80211_PID_COMPILE
rt2x_mac80211-$(LBM_CONFIG_MAC80211_RC_PID) += $(rc-pid-$(LBM_CONFIG_MAC80211_RC_PID))

# Modular rate algorithms are assigned to rt2x_mac80211-m - make separate modules
obj-m += $(rt2x_mac80211-m)

=== updates/wireless/rt2x00/rt2x00/Makefile ===
include $(src)/../config

rt2x00lib-y				+= rt2x00dev.o
rt2x00lib-y				+= rt2x00mac.o
rt2x00lib-y				+= rt2x00config.o
rt2x00lib-y				+= rt2x00queue.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_DEBUGFS)	+= rt2x00debug.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_RFKILL)	+= rt2x00rfkill.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_FIRMWARE)	+= rt2x00firmware.o
rt2x00lib-$(LBM_CONFIG_RT2X00_LIB_LEDS)	+= rt2x00leds.o

obj-$(LBM_CONFIG_RT2X00_LIB)		+= rt2x00lib.o
obj-$(LBM_CONFIG_RT2X00_LIB_PCI)		+= rt2x00pci.o
obj-$(LBM_CONFIG_RT2X00_LIB_USB)		+= rt2x00usb.o
obj-$(LBM_CONFIG_RT2400PCI)			+= rt2400pci.o
obj-$(LBM_CONFIG_RT2500PCI)			+= rt2500pci.o
obj-$(LBM_CONFIG_RT61PCI)			+= rt61pci.o
obj-$(LBM_CONFIG_RT2500USB)			+= rt2500usb.o
obj-$(LBM_CONFIG_RT73USB)			+= rt73usb.o

=== updates/wireless/rt2x00/wireless/Makefile ===
include $(src)/../config

rt2x_wext-y	:= wext.o

obj-$(LBM_CONFIG_WIRELESS_EXT) += rt2x_wext.o
obj-$(LBM_CONFIG_CFG80211) += rt2x_cfg80211.o

rt2x_cfg80211-y += core.o sysfs.o radiotap.o util.o reg.o
rt2x_cfg80211-$(LBM_CONFIG_NL80211) += nl80211.o

=== updates/wireless/iwlwifi/iwlwifi/compatible/Makefile ===
CONFIG_IWL4965=m
CONFIG_IWL3945=m
CONFIG_IWL3945_LEDS=y
CONFIG_IWL4965_LEDS=y
NOSTDINC_FLAGS += -I$(src)/../../mac80211/compatible/include
EXTRA_CFLAGS += -DCONFIG_IWL4965_QOS -DCONFIG_IWL3945_QOS
EXTRA_CFLAGS += -DCONFIG_IWL4965_LEDS -DCONFIG_IWL3945_LEDS
obj-$(CONFIG_IWL3945)	+= iwl3945.o
iwl3945-objs		= iwl3945-base.o iwl-3945.o iwl-3945-rs.o
ifeq ($(CONFIG_IWL3945_LEDS),y)
	iwl3945-objs += iwl-3945-led.o
endif


obj-$(CONFIG_IWL4965)	+= iwl4965.o
iwl4965-objs		= iwl4965-base.o iwl-4965.o iwl-4965-rs.o
ifeq ($(CONFIG_IWL4965_LEDS),y)
	iwl4965-objs += iwl-4965-led.o
endif

=== updates/wireless/iwlwifi/mac80211/compatible/net/mac80211/Makefile ===
CONFIG_MAC80211=m
NOSTDINC_FLAGS += -I$(src)/../../include
EXTRA_CFLAGS += -DCONFIG_MAC80211_LEDS
obj-$(CONFIG_MAC80211) += iwlwifi_mac80211.o iwlwifi_rc80211_simple.o

iwlwifi_mac80211-objs-$(CONFIG_MAC80211_LEDS) += ieee80211_led.o
iwlwifi_mac80211-objs-$(CONFIG_MAC80211_DEBUGFS) += debugfs.o debugfs_sta.o debugfs_netdev.o debugfs_key.o

iwlwifi_mac80211-objs := \
	ieee80211.o \
	ieee80211_ioctl.o \
	sta_info.o \
	wep.o \
	wpa.o \
	ieee80211_sta.o \
	ieee80211_iface.o \
	ieee80211_rate.o \
	michael.o \
	regdomain.o \
	tkip.o \
	aes_ccm.o \
	wme.o \
	ieee80211_cfg.o \
	$(iwlwifi_mac80211-objs-y)
iwlwifi_mac80211-objs += radiotap.o

=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-16.14) hardy; urgency=low

  [Stefan Bader]

  * Added rt2x00 driver from serialmonkey.org
    - LP: #134660

  [Tim Gardner]

  * Bump ABI to 16.

 --  Tim Gardner <tim.gardner@canonical.com>  Tue, 08 Apr 2008 11:10:39 +0300

linux-backports-modules-2.6.24 (2.6.24-15.13) hardy; urgency=low

  [Tim Gardner]

  * ifdef iwlwifi encryption debug noise
    - LP: #191388

 --  Tim Gardner <tim.gardner@canonical.com>  Mon, 07 Apr 2008 09:41:15 -0600

linux-backports-modules-2.6.24 (2.6.24-15.12) hardy; urgency=low

  * Bump ABI to 15

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 03 Apr 2008 11:01:29 -0600

linux-backports-modules-2.6.24 (2.6.24-14.11) hardy; urgency=low

  [Ben Collins]

  * iwlwifi: Update to iwlwifi-1.2.25 and mac80211-10.0.4
    - LP: #200950
  * ubuntu: Slight cleanups to module hiearchy and Makefiles
  * mac80211: Enable LED triggers
  * iwlwifi: Add LED trigger support (rx and tx only)
    - LP: #176090

 --  <tim.gardner@canonical.com>  Wed, 02 Apr 2008 06:59:04 -0600

linux-backports-modules-2.6.24 (2.6.24-13.10) hardy; urgency=low

  * Bump ABI to 13

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 28 Mar 2008 10:36:54 -0600

linux-backports-modules-2.6.24 (2.6.24-12.9) hardy; urgency=low

  * Bump ABI to 12

 -- Ben Collins <bcollins@ubuntu.com>  Sat, 08 Mar 2008 12:56:13 -0500

linux-backports-modules-2.6.24 (2.6.24-11.8) hardy; urgency=low

  *  Kernel ABI bump to (-11).

 --  <tim.gardner@canonical.com>  Fri, 29 Feb 2008 07:29:53 -0700

linux-backports-modules-2.6.24 (2.6.24-10.7) hardy; urgency=low

  * Kernel ABI bump to (-10). (-9) was never released.

 --  <tim.gardner@canonical.com>  Sun, 17 Feb 2008 21:54:00 -0700

linux-backports-modules-2.6.24 (2.6.24-8.6) hardy; urgency=low

  * Kernel ABI bump to (-8).

 --  <tim.gardner@canonical.com>  Mon, 11 Feb 2008 16:34:15 -0700

linux-backports-modules-2.6.24 (2.6.24-7.5) hardy; urgency=low

  [Tim Gardner]

  * Moved ALSA to lum
  * Kernel ABI bump to (-7). Skipped (-6) because of FTBS.

 --  <tim.gardner@canonical.com>  Mon, 28 Jan 2008 09:08:16 -0700

linux-backports-modules-2.6.24 (2.6.24-5.4) hardy; urgency=low

  [Tim Gardner]

  * Kernel ABI bump to -5.
  * ALSA 1.0.16-rc1

 --  <tim.gardner@canonical.com>  Thu, 17 Jan 2008 11:41:41 -0700

linux-backports-modules-2.6.24 (2.6.24-4.3) hardy; urgency=low

  * Kernel ABI bump to -4.
  * UBUNTU: Enable rt build for i386/amd64

 --  <tim.gardner@canonical.com>  Tue, 08 Jan 2008 20:06:47 -0700

linux-backports-modules-2.6.24 (2.6.24-3.2) hardy; urgency=low

  * Kernel ABI bump to -3.

 --  <tim.gardner@canonical.com>  Wed, 02 Jan 2008 13:19:54 -0700

linux-backports-modules-2.6.24 (2.6.24-2.1) hardy; urgency=low

  * Initial git repository.

 --  <tim.gardner@canonical.com>  Fri, 30 Nov 2007 07:56:58 -0700

=== debian/control ===
Source: linux-backports-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-16-386 [i386], linux-headers-2.6.24-16-generic [i386 amd64], linux-headers-2.6.24-16-hppa32 [hppa], linux-headers-2.6.24-16-hppa64 [hppa], linux-headers-2.6.24-16-itanium [ia64], linux-headers-2.6.24-16-lpia [lpia], linux-headers-2.6.24-16-lpiacompat [lpia], linux-headers-2.6.24-16-mckinley [ia64], linux-headers-2.6.24-16-openvz [i386 amd64], linux-headers-2.6.24-16-powerpc [powerpc], linux-headers-2.6.24-16-powerpc-smp [powerpc], linux-headers-2.6.24-16-powerpc64-smp [powerpc], linux-headers-2.6.24-16-rt [i386 amd64], linux-headers-2.6.24-16-server [i386 amd64], linux-headers-2.6.24-16-sparc64 [sparc], linux-headers-2.6.24-16-sparc64-smp [sparc], linux-headers-2.6.24-16-virtual [i386], linux-headers-2.6.24-16-xen [i386 amd64]

Package: linux-headers-lbm-2.6.24-16
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-386
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-hppa32
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-hppa64
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-itanium
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-lpiacompat
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-mckinley
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-16-openvz
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-16/debian.README.gz for details

Package: linux-backports-modules-2.6.24-16-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-16-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-16-powerpc
Architecture: powerpc
Section: base
Priority: optional

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-source 
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2007 Ben Collins <bcollins@ubuntu.com>
#
# Example build for a specific arch:
#	fakeroot debian/rules binary-arch arch=i386 flavours="generic"
#

# dpkg-buildpackage passes options that are incomptatible
# with the kernel build.
unexport CFLAGS
unexport LDFLAGS

# This is the debhelper compatability version to use.
export DH_COMPAT=4
export LC_ALL=C
export SHELL=/bin/bash -e

# Common variables for all architectures
include debian/rules.d/0-common-vars.mk

# Pill in some arch specific stuff
include debian/rules.d/$(arch).mk

# Maintainer targets
include debian/rules.d/1-maintainer.mk

# Udeb stuff
include debian/rules.d/3-udebs.mk

# Debian Build System targets
binary: binary-indep binary-arch

binary-indep:
build-indep:

build: build-arch build-indep

clean: debian/control.stub
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf $(udebdir)
	rm -rf $(builddir)
	rm -f $(stampdir)/stamp-*

	# This gets rid of the d-i packages in control
	cp -f debian/control.stub debian/control

# Builds the image, arch headers and debug packages
include debian/rules.d/2-binary-arch.mk

# Rules for building the udebs (debian-installer)
#include debian/rules.d/5-udebs.mk

# Misc stuff
debian/control.stub: debian/d-i/kernel-versions.in	\
		debian/scripts/control-create		\
		debian/control.stub.in			\
		debian/changelog			\
		$(wildcard debian/control.d/*)
	for i in debian/d-i/kernel-versions.in debian/control.stub.in; do	\
	  new=`echo $$i | sed 's/\.in$$//'`;					\
	  cat $$i | sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' > \
		$$new;								\
	done
	$(SHELL) debian/scripts/control-head $@ $(release)-$(abinum) > $@.tmp
	flavours="$(wildcard debian/control.d/vars.*)";				\
	for i in $$flavours; do							\
	  $(SHELL) debian/scripts/control-create $$i |				\
		sed -e 's/PKGVER/$(pkgversion)/g' -e 's/ABINUM/$(abinum)/g' >>	\
		$@.tmp;						\
	done
	rm -f $@
	mv $@.tmp $@
	cp $@ debian/control

.PHONY: debian/control
debian/control: debian/control.stub
	rm -rf $(udebdir)
	if [ -d debian/d-i/firmware ]; then \
		install -d $(udebdir)/firmware/$(arch); \
		cp debian/d-i/firmware/* $(udebdir)/firmware/$(arch)/; \
	fi
	install -d $(udebdir)/modules/$(arch)
	cp debian/d-i/modules/* $(udebdir)/modules/$(arch)/
	cp debian/d-i/package-list debian/d-i/kernel-versions \
		$(udebdir)/
	ln -s .. $(udebdir)/debian

	(cd $(udebdir); kernel-wedge gen-control) > $@

## linux-backports-modules-2.6.24 2.6.24-19.17

=== debian/changelog ===
linux-backports-modules-2.6.24 (2.6.24-19.17) hardy-proposed; urgency=low

  * ABI bump to -19

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 14:03:45 -0600

linux-backports-modules-2.6.24 (2.6.24-18.16) hardy-security; urgency=low

  * security upload with ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 08:12:24 -0600

linux-backports-modules-2.6.24 (2.6.24-17.15) hardy-proposed; urgency=low

  [Stefan Bader]

  * Improve documentation in rt2x00.
  * Update configuration files to enable rt2x00 for i386, ia64 and amd64.

  [Tim Gardner]

  * Bump ABI to 17.

 --  Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Apr 2008 09:13:36 -0600

=== debian/control ===
Source: linux-backports-modules-2.6.24
Section: base
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), module-init-tools, kernel-wedge (>= 2.24ubuntu1), linux-headers-2.6.24-19-386 [i386], linux-headers-2.6.24-19-generic [i386 amd64], linux-headers-2.6.24-19-hppa32 [hppa], linux-headers-2.6.24-19-hppa64 [hppa], linux-headers-2.6.24-19-itanium [ia64], linux-headers-2.6.24-19-lpia [lpia], linux-headers-2.6.24-19-lpiacompat [lpia], linux-headers-2.6.24-19-mckinley [ia64], linux-headers-2.6.24-19-openvz [i386 amd64], linux-headers-2.6.24-19-powerpc [powerpc], linux-headers-2.6.24-19-powerpc-smp [powerpc], linux-headers-2.6.24-19-powerpc64-smp [powerpc], linux-headers-2.6.24-19-rt [i386 amd64], linux-headers-2.6.24-19-server [i386 amd64], linux-headers-2.6.24-19-sparc64 [sparc], linux-headers-2.6.24-19-sparc64-smp [sparc], linux-headers-2.6.24-19-virtual [i386], linux-headers-2.6.24-19-xen [i386 amd64]

Package: linux-headers-lbm-2.6.24-19
Architecture: all
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0)
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to Linux ubuntu-modules version 2.6.24
 This package provides linux-ubuntu-modules header files for version 2.6.24, for sites
 that want the latest linux-ubuntu-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-386
Architecture: i386
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-386
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on i386
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 i386.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-386 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-386
Architecture: i386
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-386
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-generic
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-generic
Architecture: i386 amd64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-generic
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-hppa32
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-hppa32
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa32 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-hppa32
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-hppa32
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-hppa64
Architecture: hppa
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-hppa64
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 64-bit HP PA-RISC SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 64-bit HP PA-RISC SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-hppa64 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-hppa64
Architecture: hppa
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-hppa64
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-itanium
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-itanium meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-itanium
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-itanium
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-lpia
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-lpia
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpia
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpia.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpia meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-lpia
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-lpia
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-lpiacompat
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on lpiacompat
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 lpiacompat.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lpiacompat meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-lpiacompat
Architecture: lpia
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-lpiacompat
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-mckinley
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on Itanium II SMP
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 Itanium II SMP.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-mckinley meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-mckinley
Architecture: ia64
Section: base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-mckinley
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-openvz
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on x86/x86_64
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 x86/x86_64.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-openvz meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-openvz
Architecture: i386 amd64
Section: universe/base
Priority: optional
Depends: coreutils | fileutils (>= 4.0), linux-headers-2.6.24-19-openvz
Provides: linux-headers-lbm, linux-headers-lbm-2.6
Description: Header files related to linux-backports-modules version 2.6.24
 This package provides linux-backports-modules header files for version 2.6.24, for sites
 that want the latest linux-backports-modules headers. Please read
 /usr/share/doc/linux-headers-lbm-2.6.24-19/debian.README.gz for details

Package: linux-backports-modules-2.6.24-19-powerpc
Architecture: powerpc
Section: base
Priority: optional
Provides: 
Depends: linux-image-2.6.24-19-powerpc
Pre-Depends: dpkg (>= 1.10.24)
Description: Ubuntu supplied Linux modules for version 2.6.24 on 32-bit PowerPC
 This package contains modules supplied by Ubuntu for Linux kernel 2.6.24 on
 32-bit PowerPC.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-powerpc meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-lbm-2.6.24-19-powerpc
Architecture: powerpc
Section: base
Priority: optional
